PUT /v1/workflows/{id}/visibility
Update workflow visibility level
PUT
/v1/workflows/{id}/visibility
Update workflow visibility level
Path Parameters
id
string
required
path
Workflow ID
Request Body required
Visibility level
application/jsonOne of:
Option 1
Option 2
visibility
string
REQUIRED
Enum:
private, org, public_view, public_executeResponses
200
OK
application/jsoncode
integer
data
object
id
string
visibility
string
Enum:
private, org, public_view, public_executemessage
string
requestId
string
400
Bad Request
403
Forbidden
404
Not Found
curl -X PUT 'https://api.example.com/v1/workflows/string/visibility' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/workflows/string/visibility', { method: 'PUT', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.put('https://api.example.com/v1/workflows/string/visibility', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("PUT", "https://api.example.com/v1/workflows/string/visibility", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": { "id": "<string>", "visibility": "private" }, "message": "success", "requestId": "abc-123"}
API Playground
Try this endpoint
PUT
/v1/workflows/{id}/visibility
